Skip to main content
POST
/
open-api
/
v1.0
/
giveaway-links
Create giveaway links
curl --request POST \
  --url https://api.fourthwall.com/open-api/v1.0/giveaway-links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "number": 123
}
'
{
  "packageId": "gpg_EdJvIXu3SEiXe_QkPavHSA",
  "giveawayLinks": [
    {
      "status": "<string>",
      "id": "gft_EdJvIXu3SEiXe_QkPavHSA",
      "link": "https://fourthwall.com/gifts/gft_EdJvIXu3SEiXe_QkPavHSA",
      "productId": "00aa4abd-5778-4199-8161-0b49b2f212e5",
      "createdAt": "2020-08-13T09:05:36.939Z"
    }
  ]
}
OAuth scope: giveaway_writeAPI keys have full access to this endpoint.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
productId
string<uuid>
required
number
integer<int32>
required

Response

OK

packageId
string
required
Example:

"gpg_EdJvIXu3SEiXe_QkPavHSA"